<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RSNMPMIB2List StructType
 * @subpackage Structs
 */
class RSNMPMIB2List extends AbstractStructBase
{
    /**
     * The sysLocation
     * @var string
     */
    public $sysLocation;
    /**
     * The sysContact
     * @var string
     */
    public $sysContact;
    /**
     * Constructor method for RSNMPMIB2List
     * @uses RSNMPMIB2List::setSysLocation()
     * @uses RSNMPMIB2List::setSysContact()
     * @param string $sysLocation
     * @param string $sysContact
     */
    public function __construct($sysLocation = null, $sysContact = null)
    {
        $this
            ->setSysLocation($sysLocation)
            ->setSysContact($sysContact);
    }
    /**
     * Get sysLocation value
     * @return string|null
     */
    public function getSysLocation()
    {
        return $this->sysLocation;
    }
    /**
     * Set sysLocation value
     * @param string $sysLocation
     * @return RSNMPMIB2List
     */
    public function setSysLocation($sysLocation = null)
    {
        // validation for constraint: string
        if (!is_null($sysLocation) && !is_string($sysLocation)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sysLocation)), __LINE__);
        }
        $this->sysLocation = $sysLocation;
        return $this;
    }
    /**
     * Get sysContact value
     * @return string|null
     */
    public function getSysContact()
    {
        return $this->sysContact;
    }
    /**
     * Set sysContact value
     * @param string $sysContact
     * @return RSNMPMIB2List
     */
    public function setSysContact($sysContact = null)
    {
        // validation for constraint: string
        if (!is_null($sysContact) && !is_string($sysContact)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sysContact)), __LINE__);
        }
        $this->sysContact = $sysContact;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return RSNMPMIB2List
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
